aboutsummaryrefslogtreecommitdiffstats
path: root/testing/jruby/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-08-17 17:42:55 +0200
committerJakub Jirutka <jakub@jirutka.cz>2016-08-17 17:44:36 +0200
commit5eb15b8927fc8bed20344fa52c43d50cb1051ce6 (patch)
tree5ab7935dd8af2cb6ba5ffd0e3952e2a59b53762f /testing/jruby/APKBUILD
parentd3b164f5698109f945623cdcbbea944a52888bac (diff)
downloadaports-5eb15b8927fc8bed20344fa52c43d50cb1051ce6.tar.gz
aports-5eb15b8927fc8bed20344fa52c43d50cb1051ce6.tar.bz2
aports-5eb15b8927fc8bed20344fa52c43d50cb1051ce6.tar.xz
testing/jruby: improve abuild
Diffstat (limited to 'testing/jruby/APKBUILD')
-rw-r--r--testing/jruby/APKBUILD18
1 files changed, 6 insertions, 12 deletions
diff --git a/testing/jruby/APKBUILD b/testing/jruby/APKBUILD
index 0b0903fcfb..59bd570fa1 100644
--- a/testing/jruby/APKBUILD
+++ b/testing/jruby/APKBUILD
@@ -7,18 +7,17 @@ pkgver=9.1.2.0
pkgrel=0
pkgdesc="An implementation of Ruby on the JVM"
url="http://jruby.org"
+# openjdk8 is currently built only for x86*
arch="x86 x86_64"
license="EPL GPL-2 LGPL-2.1 custom"
# libc6-compat: https://github.com/jnr/jnr-posix/issues/73
depends="$pkgname-libs java-jffi-native>=1.2 libc6-compat>=1.1.12-r5 openjdk8-jre-base"
makedepends="openjdk8 zip"
subpackages="$pkgname-irb $pkgname-minitest $pkgname-rake $pkgname-rdoc
- $pkgname-readline $pkgname-testunit $pkgname-libs
- "
+ $pkgname-readline $pkgname-testunit $pkgname-libs"
# jruby (launch script): https://github.com/jruby/jruby/pull/1860
source="https://s3.amazonaws.com/jruby.org/downloads/$pkgver/$pkgname-bin-$pkgver.tar.gz
- jruby
- "
+ jruby"
builddir="$srcdir/$pkgname-$pkgver"
_destdir="/usr/share/$pkgname"
@@ -27,10 +26,10 @@ _rubydir="$_destdir/lib/ruby"
_gemdir="$_rubydir/gems/shared"
_stdlibdir="$_rubydir/stdlib"
-_arch="$CARCH"
case "$CARCH" in
arm*) _arch=arm;;
x86) _arch=i386;;
+*) _arch="$CARCH";;
esac
prepare() {
@@ -47,10 +46,6 @@ prepare() {
zip -qd "$builddir"/lib/jruby.jar jni/*
}
-build() {
- return 0
-}
-
package() {
cd "$builddir"
@@ -71,8 +66,7 @@ package() {
ln -sf $_bindir/$file "$pkgdir"/usr/bin/$file || return 1
done
- install -m644 -D COPYING \
- "$pkgdir/usr/share/licenses/$pkgname"/COPYING
+ install -m644 -D COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
irb() {
@@ -147,7 +141,7 @@ _mvgem() {
./$_gemdir/gems/$name-* \
./$_gemdir/specifications/default/$name-*; do
[ -e "$pkgdir"/$file ] || continue
- _mv "$file"
+ _mv "$file" || return 1
done
}